宋子宪博客

Szx

IntelliJ IDEA报错:Warning:java: 源值1.5已过时, 将在未来所有发行版中删除解决方法
IDEA报错:Warning:java: 源值1.5已过时, 将在未来所有发行版中删除解决方法,虽然提示不影响代码...
扫描右侧二维码阅读全文
07
2019/07

IntelliJ IDEA报错:Warning:java: 源值1.5已过时, 将在未来所有发行版中删除解决方法

IDEA报错:Warning:java: 源值1.5已过时, 将在未来所有发行版中删除解决方法,虽然提示不影响代码的执行,但是执行效率会降低许多,所以还是建议设置一下,本人电脑安装的是1.8,其他版本设置方法也是一样,只需该成系统对应的jdk版本即可

第一步

打开File--->Project Structure,如图:
Warningjava 源值1.5已过时, 将在未来所有发行版中删除解决方法1.png
然后设置系统对应的jdk版本号,然后保存
Warningjava 源值1.5已过时, 将在未来所有发行版中删除解决方法2.png
设置好之后如果运行程序就会发现会出现以下问题,这时候还需要设置一步

第二步

Warningjava 源值1.5已过时, 将在未来所有发行版中删除解决方法3.png
也是一样设置系统对应的jdk版本号,保存
Warningjava 源值1.5已过时, 将在未来所有发行版中删除解决方法4.png然后进行测试就不会有Warning:java: 源值1.5已过时, 将在未来所有发行版中删除这样的提示了
Warningjava 源值1.5已过时, 将在未来所有发行版中删除解决方法5.png

Last modification:July 7th, 2019 at 05:26 am
如果觉得这篇技术文章对您有帮助,可以请博主喝一杯饮料

2 comments

  1. 张波博客

    你的纯技术类的博客搞的好专业

    1. Szx
      @张波博客

      就是记录一些平时的java笔记

Leave a Comment